Skip to main content
GET
/
api
/
v1
/
markets
Get list of markets
curl --request GET \
  --url https://dev-prediction-markets-api.dflow.net/api/v1/markets \
  --header 'x-api-key: <api-key>'
{
  "markets": [
    {
      "accounts": {},
      "canCloseEarly": true,
      "closeTime": 1,
      "eventTicker": "<string>",
      "expirationTime": 1,
      "fractionalTradingEnabled": true,
      "marketType": "<string>",
      "noSubTitle": "<string>",
      "openInterest": 1,
      "openTime": 1,
      "result": "<string>",
      "rulesPrimary": "<string>",
      "status": "<string>",
      "subtitle": "<string>",
      "ticker": "<string>",
      "title": "<string>",
      "volume": 1,
      "yesSubTitle": "<string>",
      "earlyCloseCondition": "<string>",
      "noAsk": "<string>",
      "noBid": "<string>",
      "openInterestFp": "<string>",
      "rulesSecondary": "<string>",
      "volume24hFp": "<string>",
      "volumeFp": "<string>",
      "yesAsk": "<string>",
      "yesBid": "<string>"
    }
  ],
  "cursor": 1
}

Need Help?

https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_discord.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=0ea834bc8a9fa3fe161ba181329effda

Join Our Discord

Connect with other developers, get help, and stay updated on the latest DFlow developments.
https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_telegram.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=e928c5dd68311ff0d419936a35c86eed

Dev Notifications

Join the DFlow Dev Notifications Telegram group to stay in the loop on new features and other announcements.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact hello@dflow.net to obtain an API key.

Query Parameters

limit
integer<int32>

Maximum number of markets to return

Required range: x >= 0
cursor
integer<int32>

Pagination offset (number of markets to skip)

Required range: x >= 0
isInitialized
boolean

Filter markets that are initialized (have a corresponding market ledger)

status
string

Filter markets by status. Available options: initialized, active, inactive, closed, determined

sort
enum<string>

Sort field. Available options: volume, volume24h, liquidity, openInterest

Available options:
volume,
volume24h,
liquidity,
openInterest,
startDate

Response

List of markets

markets
object[]
required
cursor
integer<int32> | null
Required range: x >= 0